OpenShot Audio Library | OpenShotAudio: juce::InterProcessLock::ScopedLockType Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::InterProcessLock::ScopedLockType Class Reference

`#include <juce_InterProcessLock.h>`

## Public Member Functions
| ScopedLockType (InterProcessLock &l)
| ~ScopedLockType ()
bool | isLocked () const noexcept

## Detailed Description

Automatically locks and unlocks an InterProcessLock object.

This works like a ScopedLock, but using an InterprocessLock rather than a CriticalSection.

See also
  ScopedLock

Definition at line 71 of file juce_InterProcessLock.h.

## Constructor & Destructor Documentation

## ◆ ScopedLockType()

juce::InterProcessLock::ScopedLockType::ScopedLockType | ( | InterProcessLock & | l | ) |
| inlineexplicit

Creates a scoped lock.

As soon as it is created, this will lock the InterProcessLock, and when the ScopedLockType object is deleted, the InterProcessLock will be unlocked.

Note that since an InterprocessLock can fail due to errors, you should check isLocked() to make sure that the lock was successful before using it.

Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen! Best just to use it as a local stack object, rather than creating one with the new() operator.

Definition at line 88 of file juce_InterProcessLock.h.

## ◆ ~ScopedLockType()

juce::InterProcessLock::ScopedLockType::~ScopedLockType | ( |  | ) |
| inline

Destructor.

The InterProcessLock will be unlocked when the destructor is called.

Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen!

Definition at line 97 of file juce_InterProcessLock.h.

## Member Function Documentation

## ◆ isLocked()

bool juce::InterProcessLock::ScopedLockType::isLocked | ( |  | ) | const
| inlinenoexcept

Returns true if the InterProcessLock was successfully locked.

Definition at line 100 of file juce_InterProcessLock.h.

The documentation for this class was generated from the following file:

- juce_InterProcessLock.h